Wireshark-bugs: [Wireshark-bugs] [Bug 7366] New: Mac OS X PPC wireshark-bin demands newer freety
Date: Wed, 13 Jun 2012 16:56:42 -0700 (PDT)
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7366

           Summary: Mac OS X PPC wireshark-bin demands newer freetype than
                    Apple provides
           Product: Wireshark
           Version: 1.6.8
          Platform: PowerPC
        OS/Version: Mac OS X 10.5
            Status: NEW
          Severity: Major
          Priority: Low
         Component: Wireshark
        AssignedTo: [email protected]
        ReportedBy: [email protected]


Build Information:
iMac:~ user$ wireshark -v
2012-06-13 12:44:45.009 defaults[800:10b] 
The domain/default pair of (kCFPreferencesAnyApplication,
AppleAquaColorVariant) does not exist
2012-06-13 12:44:45.070 defaults[801:10b] 
The domain/default pair of (kCFPreferencesAnyApplication, AppleHighlightColor)
does not exist
dyld: Library not loaded: /usr/X11/lib/libfreetype.6.dylib
  Referenced from:
/Applications/Wireshark.app/Contents/Resources/bin/wireshark-bin
  Reason: Incompatible library version: wireshark-bin requires version 13.0.0
or later, but libfreetype.6.dylib provides version 10.0.0
Trace/BPT trap

iMac:~ user$ tshark -v
TShark 1.6.8 (SVN Rev 42761 from /trunk-1.6)

Copyright 1998-2012 Gerald Combs <[email protected]> and contributors.
This is free software; see the source for copying conditions. There is NO
warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

Compiled (32-bit) with GLib 2.16.6, with libpcap (version unknown), with libz
1.2.3, without POSIX capabilities, without libpcre, with SMI 0.4.8, with c-ares
1.5.3, with Lua 5.1, without Python, with GnuTLS 2.6.2, with Gcrypt 1.4.3, with
MIT Kerberos, without GeoIP.

Running on Mac OS 10.5.8 (Darwin 9.8.0), with libpcap version 0.9.5, with libz
1.2.3.

Built using gcc 4.0.1 (Apple Inc. build 5488).
--
When I try to run Wireshark.app, it fails to load because I don't have a recent
enough libfreetype.6.dylib.  (See below for information from Apple's "problem
report" dialog.)

This is rather puzzling, since this file comes from OS X, of which I have
version 10.5.8, the latest for PowerPC, and "Software Update" can't find
anything to update.  How, then, did the build system get a newer one?  Did
someone (*gasp*) install self-made or 3rd-party builds in /usr, instead of in
/usr/local?  (Yes, I checked: the full path /usr/X11/lib/libfreetype.6.dylib
was included in the executable.)


Problem Details
===============

Process:         wireshark-bin [737]
Path:           
/Applications/Wireshark.app/Contents/Resources/bin/wireshark-bin
Identifier:      wireshark-bin
Version:         ??? (???)
Code Type:       PPC (Native)
Parent Process:  Wireshark [735]

Interval Since Last Report:          707 sec
Crashes Since Last Report:           1
Per-App Interval Since Last Report:  0 sec
Per-App Crashes Since Last Report:   1

Date/Time:       2012-06-13 12:42:04.084 -0400
OS Version:      Mac OS X 10.5.8 (9L31a)
Report Version:  6
Anonymous UUID:  36EB611E-3CB9-4BCE-8E45-518B75664A8B

Exception Type:  EXC_BREAKPOINT (SIGTRAP)
Exception Codes: 0x0000000000000001, 0x000000008fe0105c
Crashed Thread:  0

Dyld Error Message:
  Library not loaded: /usr/X11/lib/libfreetype.6.dylib
  Referenced from:
/Applications/Wireshark.app/Contents/Resources/bin/wireshark-bin
  Reason: Incompatible library version: wireshark-bin requires version 13.0.0
or later, but libfreetype.6.dylib provides version 10.0.0


System Configuration
====================

Model: PowerMac8,1, BootROM 5.2.2f2, 1 processor, PowerPC G5  (3.0), 1.8 GHz, 1
GB
Graphics: GeForce FX 5200, GeForce FX 5200, spdisplays_agp_device, 64 MB
Memory Module: DIMM0/J4000, 512 MB, DDR SDRAM, PC3200U-30330
Memory Module: DIMM1/J4001, 512 MB, DDR SDRAM, PC3200U-30330
AirPort: spairport_wireless_card_type_airport_extreme (0x14E4, 0x4E), Broadcom
BCM43xx 1.0 (4.170.25.8)
Modem: Jump, V.92, Version 1.0
Network Service: AirPort, AirPort, en1
Serial ATA Device: WDC WD800JD-40GBB2, 74.53 GB
Parallel ATA Device: MATSHITADVD-R   UJ-825
USB Device: Hub in Apple Extended USB Keyboard, (null) mA
USB Device: Optical USB Mouse, (null) mA
USB Device: Apple Extended USB Keyboard, (null) mA

-- 
Configure bugmail: https://bugs.wireshark.org/bugzilla/userprefs.cgi?tab=email
------- You are receiving this mail because: -------
You are watching all bug changes.